Subject: [bug#49457] [PATCH v2] gnu: Add emacs-consult-notmuch.

From: Nicolas Goaziou <[email-masked]>
Date: Thu, 08 Jul 2021 11:41:22 +0200

Hello,

zimoun <[email-masked]> writes:

> For my personal understanding because I am not familiar with Emacs
> packages and package propagation.  The package ’emacs-magit’ has ’git’
> as inputs and AFAIK it does not work without Git installed in the
> profile.  Why is it different?

It is different because Notmuch is both an external executable and an
Emacs library. Git, OTOH, does not ship with an Elisp library.

However, I think it is a bug if Emacs Magit does not work with git in
profile. We should modify the source so both magit-git-executable and
magit-gitk-executable point to those from inputs.

I suggest to open a new bug report about it, WDYT?

Regards,
-- 
Nicolas Goaziou